Template: debconf/frontend
Type: select
Choices: Dialog, Readline, Gnome, Editor, Noninteractive
Choices-sv: Dialog, Readline, Gnome, Textredigerare, Icke-interaktiv
Default: Dialog
Description: What interface should be used for configuring packages?
 Packages that use debconf for configuration share a common look and feel.
 You can select the type of user interface they use.
 .
 The dialog frontend is a full-screen, character based interface, while the
 readline frontend uses a more traditional plain text interface, and the gnome
 frontend is a modern X interface. The editor frontend lets you configure
 things using your favorite text editor. The noninteractive frontend never
 asks you any questions.
Description-sv: Vilket skal skall anvndas fr att konfigurera paket?
 Paket som anvnder debconf fr konfigurering delar ett gemensamt utseende.
 Du kan vlja vilken sorts anvndargrnssnitt de skall anvnda.
 .
 Dialogskalet r ett textbaserat fullskrmsgrnssnitt, medan readline-skalet
 anvnder ett mer traditionellt ren text-grnssnitt, och Gnome-skalet r ett
 modernt X-grnssnitt. Textredigeringsskalet lter dig konfigurera saker med
 ditt favorittextredigeringsprogram. Det icke-interaktiva skalet stller
 aldrig ngra frgor till dig.

Template: debconf/priority
Type: select
Choices: critical, high, medium, low
Choices-sv: kritisk, hg, medium, lg
Default: medium
Description: Ignore questions with a priority less than..
 Packages that use debconf for configuration prioritize the questions they
 might ask you. Only questions with a certain priority or higher are actually
 shown to you; all less important questions are skipped.
 .
 You can select the lowest priority of question you want to see: 
   - 'critical' is for items that will probably break the system
     without user intervention.
   - 'high' is for items that don't have reasonable defaults.
   - 'medium' is for normal items that have reasonable defaults.
   - 'low' is for trivial items that have defaults that will work in the
     vast majority of cases.
 .
 For example, this question is of medium priority, and if your priority were 
 already 'high' or 'critical', you wouldn't see this question.
 .
 If you are new to the Debian GNU/Linux system choose 'critical' now,
 so you only see the most important questions.
Description-sv: Ignorera frgor med en prioritet lgre n..
 Paket som anvnder debconf fr konfigurering prioriterar de frgor de kan
 frga dig. Endast frgor med en viss prioritet eller hgre visas faktiskt
 fr dig; alla mindra viktiga frgor hoppas ver. 
 .
 Du kan vlja den lgsta prioritet vars frgor du vill se: 
   - "kritisk" r fr frgor som sannolikt kan ge stora problem fr
     systemet om anvndaren inte intervenerar.
   - "hg" r fr frgor som saknar rimliga frval.
   - "medium" r fr vanliga frgor som har rimliga frval.
   - "lg" r fr triviala frgor som har frval som fungerar i de
     allra flesta fall.
 .
 Som ett exempel har denna frga prioriteten "medium", och om din prioritet
 redan vore "hg" eller "kritisk" skulle du inte se denna frga. 
 .
 Om du r nybrjade p Debian GNU/Linux-systemet, vlj "kritisk" nu, s fr
 du bara se de viktigaste frgorna. 

Template: debconf/showold
Type: boolean
Default: false
Description: Show all old questions again and again?
 Debconf normally only asks you any given question once. Then it remembers
 your answer and never asks you that question again. If you prefer, debconf
 can ask you questions over and over again, each time you upgrade or reinstall
 a package that asks them.
 .
 Note that no matter what you choose here, you can see old questions again by
 using the dpkg-reconfigure program.
Description-sv: Visa alla gamla frgor igen och ter igen?
 Debconf stller normalt sett bara varje given frga en gng och kommer
 sedan ihg dina svar s att frgan inte behver stllas igen. Om du s
 nskar kan debconf stlla frgor om och om igen, varje gng du
 uppgraderar eller ominstallerar ett paket som stller dem. 
 .
 Observera att oavsett vad du vljer hr kan du se gamla frgor igen genom att
 anvnda programmet dpkg-reconfigure. 
